Get a voice
curl --request GET \
--url https://gengen.farm/api/gengen/v1/audio/voices/{voiceId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://gengen.farm/api/gengen/v1/audio/voices/{voiceId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://gengen.farm/api/gengen/v1/audio/voices/{voiceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"voiceId": "<string>",
"kind": "public",
"isFavorite": true,
"id": "<string>",
"name": "<string>",
"status": "<string>",
"models": [
"<string>"
],
"providerVoiceId": "<string>",
"description": "<string>",
"language": "<string>",
"accent": "<string>",
"gender": "<string>",
"age": "<string>",
"previewUrl": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Find and manage voices
Get a voice
GET
/
audio
/
voices
/
{voiceId}
Get a voice
curl --request GET \
--url https://gengen.farm/api/gengen/v1/audio/voices/{voiceId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://gengen.farm/api/gengen/v1/audio/voices/{voiceId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://gengen.farm/api/gengen/v1/audio/voices/{voiceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"voiceId": "<string>",
"kind": "public",
"isFavorite": true,
"id": "<string>",
"name": "<string>",
"status": "<string>",
"models": [
"<string>"
],
"providerVoiceId": "<string>",
"description": "<string>",
"language": "<string>",
"accent": "<string>",
"gender": "<string>",
"age": "<string>",
"previewUrl": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Look up a public voice even if it is not a favorite. The result includes
voiceId for synthesis and this workspace’s isFavorite flag. To look up a private voice, use a key in its owning workspace. If you lost the ID, list your workspace voices.
| Private voice status | Next step |
|---|---|
active | Use the returned voiceId for speech or dialogue. |
verificationRequired | Send the voiceId to GENGEN support, then repeat this lookup to check for activation. |
creating, reconciling | Poll the returned statusUrl. If reconciliation persists, contact support. |
failed | Read message if present for the reason. |
deleting | Retry DELETE with the same voiceId to finish removal. |
deleted | The voice has been removed. |
Authorizations
Path Parameters
Response
Public voice and workspace favorite status, or private voice and current lifecycle status.
- Option 1
- Option 2